<?php
//buscar os lancamentos no esqotoque do softcom
$lancamentos = $sql->buscarAjusteEstoque();

//buscar qual o ultimo produto lancado no remoto
$controle = $mysql->buscarCodigoControleRemoto($conexao);

$controleNovo = $controle + 1;

foreach ($lancamentos as $ajustes)
{

  $quantidade = $ajustes[7];
  $lojaOrigem = $ajustes[2];
  $ean = $ajustes[5];

  //$usuario =  $ajustes[1];
  $codajuste = $ajustes[11];

  //codigo do produto no softcom
  $codigoDoProuto =  $ajustes[1];
  //max sequencia no remoto
  $codajusteRemoto = $mysql->buscarCodigoAjusteRemoto($conexao,$codajuste);
  
  //se a sequencia atual vinda do softcom é maior que a sequencia do remoto
    if ($codajuste > $codajusteRemoto){

      //envia para o metodo que trata a entrada de estoque no remoto
    $mysql->cadastrarAvaria($conexao,$quantidade,$lojaOrigem,$ean,$usuario,'entrada',$codajuste,$codigoDoProuto,$controleNovo);
  
  }
}

//buscar os produtos em avaria no remoto pendente de tratamento
$dados = $mysql->buscarProdutosEmAvaria($conexao);
//avarias com status de andamento no remoto
$dados2 = $mysql->buscarProdutosEmAvariaAndamento($conexao);

?>